Bug 19739 - Add default ES configuration to koha-conf.xml
Summary: Add default ES configuration to koha-conf.xml
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 18571
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-04 09:03 UTC by Fridolin SOMERS
Modified: 2018-04-24 15:16 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19739: Add default ES configuration to koha-conf.xml (1.15 KB, patch)
2017-12-04 09:15 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 19739: Add default ES configuration to koha-conf.xml (1.21 KB, patch)
2018-03-16 09:27 UTC, Brendan Gallagher
Details | Diff | Splinter Review
Bug 19739: Add default ES configuration to koha-conf.xml (1.27 KB, patch)
2018-03-23 16:17 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2017-12-04 09:03:14 UTC
Bug 18571 added default ES configuration for packaging config.
Add it also to dev install in koha-conf.xml.
Comment 1 Fridolin SOMERS 2017-12-04 09:15:07 UTC
Created attachment 69477 [details] [review]
Bug 19739: Add default ES configuration to koha-conf.xml

Bug 18571 added default ES configuration for packaging config.

This patch adds it to dev install in koha-conf.xml.
Database name is used in index_name to allow multiple installs.

Test plan :
- Run dev install
- Install ElasticSearch server and Koha deps
- Enable ElasticSearch in Koha
- Check indexing and searching works directly
Comment 2 Brendan Gallagher 2018-03-16 09:27:38 UTC
Created attachment 72998 [details] [review]
Bug 19739: Add default ES configuration to koha-conf.xml

Bug 18571 added default ES configuration for packaging config.

This patch adds it to dev install in koha-conf.xml.
Database name is used in index_name to allow multiple installs.

Test plan :
- Run dev install
- Install ElasticSearch server and Koha deps
- Enable ElasticSearch in Koha
- Check indexing and searching works directly

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>
Comment 3 Nick Clemens 2018-03-23 16:17:38 UTC
Created attachment 73197 [details] [review]
Bug 19739: Add default ES configuration to koha-conf.xml

Bug 18571 added default ES configuration for packaging config.

This patch adds it to dev install in koha-conf.xml.
Database name is used in index_name to allow multiple installs.

Test plan :
- Run dev install
- Install ElasticSearch server and Koha deps
- Enable ElasticSearch in Koha
- Check indexing and searching works directly

Signed-off-by: Brendan Gallagher <brendan@bywatersolutions.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-03-27 20:55:46 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-04-24 01:36:01 UTC
Awesome work all, backported to stable for 17.11.05
Comment 6 Fridolin SOMERS 2018-04-24 15:16:53 UTC
Pushed to 17.05.x for 17.05.11